package de.thpeetz.kontor.comics

import org.springframework.data.repository.CrudRepository

interface ArtistRepository: CrudRepository<Artist, String> {

    override fun findAll(): Iterable<Artist>
}

interface PublisherRepository: CrudRepository<Publisher, String> {
    override fun findAll(): Iterable<Publisher>
}

interface ComicRepository: CrudRepository<Comic, String> {

    override fun findAll(): Iterable<Comic>
}

interface IssueRepository: CrudRepository<Issue, String> {

    override fun findAll(): Iterable<Issue>
}